#
# spec file for package moe
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           moe
Version:        1.8
Release:        2.5
Summary:        Powerful and User-friendly Text Editor
License:        GPL-2.0+
Group:          Productivity/Text/Editors
Url:            https://www.gnu.org/software/moe/moe.html
Source:         https://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.lz
Source1:        https://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.lz.sig
Source2:        https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=moe&download=1#/%{name}.keyring
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  lzip
BuildRequires:  make
BuildRequires:  ncurses-devel
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU Moe is a powerful, 8-bit clean, console text editor for ISO-8859 and ASCII
character encodings. It has a modeless, user-friendly interface, online help,
multiple windows, unlimited undo/redo capability, unlimited line length, global
search/replace (on all buffers at once), block operations, automatic
indentation, word wrapping, file name completion, directory browser, duplicate
removal from prompt histories, delimiter matching, text conversion from/to
UTF-8, romanization, etc.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} CXXFLAGS="%{optflags}"

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags} install-man

%post
%install_info --info-dir=%{_infodir} %{_infodir}/moe.info%{ext_info}

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/moe.info%{ext_info}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%config(noreplace) %{_sysconfdir}/moerc
%{_bindir}/moe
%{_infodir}/moe.info%{ext_info}
%{_mandir}/man1/moe.1%{ext_man}

%changelog
* Sun Jul 10 2016 mpluskal@suse.com
- Small spec file cleanup
* Sun Mar  6 2016 astieger@suse.com
- GNU moe 1.8:
  * Moe is now able to read some types of non regular files at
    startup. Opening non regular files during the editing session
    is not allowed because it could cause moe to be killed, losing
    the changes of any other files being edited.
  * "Center line" now works correctly in overwrite mode.
* Fri May  8 2015 astieger@suse.com
- GNU moe 1.7
- complete package overhaul
* Fri Sep  4 2009 pascal.bleser@opensuse.org
- update to 1.3
* Mon Feb 23 2009 guru@unixtech.be
- moved to openSUSE Build Service
- update to 1.1
* Wed Jan 17 2007 guru@unixtech.be
- new upstream version
* Fri Apr 21 2006 guru@unixtech.be
- new package
